Main Page Class Hierarchy Compound List File List Compound Members File Members

# rw_glevt.h File Reference

`#include <limits.h>`
`#include <ewdb_ora_api.h>`
`#include <ew_event_info.h>`

Go to the source code of this file.

## Compounds
struct | Glarc_pck_struct
struct | Glarc_sum_struct
## Defines
#define | PHASE_NAME_LEN 10
## Typedefs
typedef Glarc_sum_struct | GlarcSum
typedef Glarc_pck_struct | GlarcPhase
## Functions
int | write_glevt_sumcard (GlarcSum *pSum, char *sumcard)
int | write_glevt_phasecard (GlarcPhase *pPhs, char *phscard)
int | read_glevt_sumcard (GlarcSum *pSum, char *sumcard)
int | read_glevt_phasecard (GlarcPhase *pPhs, char *phasecard)
int | GlEvt2EWEvent (EWEventInfoStruct *pEWEvent, char *pGlEvt, int GlEvtLen)

## Define Documentation

#define PHASE_NAME_LEN 10

| Definition at line 17 of file rw_glevt.h.

## Typedef Documentation

typedef struct Glarc_pck_struct GlarcPhase

typedef struct Glarc_sum_struct GlarcSum

## Function Documentation

int GlEvt2EWEvent | ( | EWEventInfoStruct * | pEWEvent,
|  | char * | pGlEvt,
|  | int | GlEvtLen
| ) |

| Definition at line 52 of file glevt_2_ewevent.c. References Glarc_sum_struct::dmin, EW_FAILURE, EW_SUCCESS, Glarc_sum_struct::gap, InitEWChan(), InitEWEvent(), Glarc_sum_struct::lat, logit(), Glarc_sum_struct::lon, MAG_NULL, Glarc_sum_struct::nph, Glarc_sum_struct::ot, _PhaseStruct::phase, Phase, Glarc_sum_struct::qid, read_glevt_phasecard(), read_glevt_sumcard(), Glarc_sum_struct::rms, _PhaseStruct::sta, TRUE, and Glarc_sum_struct::z.

int read_glevt_phasecard | ( | GlarcPhase * | pPhs,
|  | char * | phasecard
| ) |

| Definition at line 274 of file glevt_2_ewevent.c. References Glarc_pck_struct::at, Glarc_pck_struct::comp, epochsec17(), EW_FAILURE, EW_SUCCESS, Glarc_pck_struct::fm, logit(), Glarc_pck_struct::net, Glarc_pck_struct::phase, Glarc_pck_struct::sta, and Glarc_pck_struct::wt. Referenced by GlEvt2EWEvent().

int read_glevt_sumcard | ( | GlarcSum * | pSum,
|  | char * | sumcard
| ) |

| Definition at line 233 of file glevt_2_ewevent.c. References Glarc_sum_struct::dmin, epochsec17(), EW_FAILURE, EW_SUCCESS, Glarc_sum_struct::gap, Glarc_sum_struct::lat, lat, logit(), Glarc_sum_struct::lon, lon, Glarc_sum_struct::nph, Glarc_sum_struct::ot, Glarc_sum_struct::qid, Glarc_sum_struct::rms, and Glarc_sum_struct::z. Referenced by GlEvt2EWEvent().

int write_glevt_phasecard | ( | GlarcPhase * | pPhs,
|  | char * | phscard
| ) |

| Definition at line 331 of file glevt_2_ewevent.c. References Glarc_pck_struct::at, Glarc_pck_struct::comp, date17(), EW_FAILURE, Glarc_pck_struct::fm, logit(), Glarc_pck_struct::net, Glarc_pck_struct::phase, Glarc_pck_struct::sta, and Glarc_pck_struct::wt.

int write_glevt_sumcard | ( | GlarcSum * | pSum,
|  | char * | sumcard
| ) |

| Definition at line 382 of file glevt_2_ewevent.c. References date17(), Glarc_sum_struct::dmin, EW_FAILURE, Glarc_sum_struct::gap, Glarc_sum_struct::lat, logit(), Glarc_sum_struct::lon, Glarc_sum_struct::nph, Glarc_sum_struct::ot, Glarc_sum_struct::qid, Glarc_sum_struct::rms, and Glarc_sum_struct::z.